;;;; symbol-lolevel-utils.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18

(declare
  (bound-to-procedure ##sys#intern-symbol))

(module symbol-lolevel-utils

(;export
  interned-symbol?)

(import scheme
  (chicken type)
  (only type-checks check-symbol))

(: interned-symbol? (symbol --> boolean))
;
(define (interned-symbol? sym)
  (##sys#interned-symbol? (check-symbol 'interned-symbol? sym)) )

) ;module symbol-lolevel-utils
